curl --request DELETE \
--url https://api.example.com/api/snoozes/{id} \
--header 'Authorization: <authorization>'{
"data": {
"snooze": {
"id": 12,
"project_id": 4,
"test_ids": [
"a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee"
],
"snooze_until": "2026-04-15T00:00:00.000Z",
"description": "Flaky due to third-party API instability",
"created_from_test_run_id": 456,
"created_by": null,
"created_at": "2026-03-15T10:30:00.000Z",
"updated_at": "2026-03-15T10:30:00.000Z",
"scoped_to_environment_id": null
}
}
}
Delete a snooze
curl --request DELETE \
--url https://api.example.com/api/snoozes/{id} \
--header 'Authorization: <authorization>'{
"data": {
"snooze": {
"id": 12,
"project_id": 4,
"test_ids": [
"a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee"
],
"snooze_until": "2026-04-15T00:00:00.000Z",
"description": "Flaky due to third-party API instability",
"created_from_test_run_id": 456,
"created_by": null,
"created_at": "2026-03-15T10:30:00.000Z",
"updated_at": "2026-03-15T10:30:00.000Z",
"scoped_to_environment_id": null
}
}
}
Bearer <your-api-key>Show properties
null for API-created snoozes.null if it applied to all environments.{
"data": {
"snooze": {
"id": 12,
"project_id": 4,
"test_ids": [
"a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee"
],
"snooze_until": "2026-04-15T00:00:00.000Z",
"description": "Flaky due to third-party API instability",
"created_from_test_run_id": 456,
"created_by": null,
"created_at": "2026-03-15T10:30:00.000Z",
"updated_at": "2026-03-15T10:30:00.000Z",
"scoped_to_environment_id": null
}
}
}
curl -X DELETE \
"https://dash.empirical.run/api/snoozes/12?project_id=4" \
-H "Authorization: Bearer $EMPIRICALRUN_KEY"
Was this page helpful?